﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.System
{
    /// <summary>
    /// 发布消息 提交参数实体类
    /// </summary>
    public class MessageDto
    {
        /// <summary>
        /// 消息类型
        /// 0 用户登录消息
        /// 1 系统消息
        /// 2 业务消息
        /// </summary>
        public int Type { get; set; }

        /// <summary>
        /// 发布人
        /// </summary>
        public int IssuerId { get; set; }

        /// <summary>
        /// 消息标题
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// 消息内容
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// 发布时间
        /// </summary>
        public DateTime ReleaseTime { get; set; }

        /// <summary>
        /// 可阅读员工
        /// </summary>
        public List<int> UIdList { get; set; }
    }
}
