﻿using OASystem.Domain.Entities.System;
using System.Text.RegularExpressions;

namespace OASystem.Domain.ViewModels
{
    /// <summary>
    /// 公司视图表（返回数据model）安卓端
    /// </summary>
    public class CompanyView
    {
        /// <summary>
        /// 公司Id
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 公司Code
        /// </summary>
        public string CompanyCode { get; set; }
        /// <summary>
        /// 公司名称
        /// </summary>
        public string CompanyName { get; set; }

        /// <summary>
        /// 公司所在地
        /// </summary>
        public string Address { get; set; }
        /// <summary>
        /// 负责人Id
        /// </summary>
        public int ContactUserId { get; set; }
        /// <summary>
        /// 负责人名字
        /// </summary>
        public string ContactUserName { get; set; }
        /// <summary>
        /// 联系方式
        /// </summary>
        public string Tel { get; set; }
        
        /// <summary>
        /// 父级公司Id
        /// </summary>
        public int ParentCompanyId { get; set; }
        /// <summary>
        /// 父级公司Name
        /// </summary>
        public string ParentCompanyName { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }

    }

}
